### Function

# Dex dbus_connection_send_message_with_reply

since: 0.4

#### Declaration [src]

    DexFuture*
    dex_dbus_connection_send_message_with_reply (
      GDBusConnection* connection,
      GDBusMessage* message,
      GDBusSendMessageFlags flags,
      int timeout_msec,
      guint32* out_serial
    )

#### Description [src]

Wrapper for g_dbus_connection_send_message_with_reply().

Available since: 0.4

#### Parameters

`connection`

  Type: `GDBusConnection`

  A `GDBusConnection`.

  The data is owned by the caller of the function.

`message`

  Type: `GDBusMessage`

  A `GDBusMessage`.

  The data is owned by the caller of the function.

`flags`

  Type: `GDBusSendMessageFlags`

  Flags for `message`.

`timeout_msec`

  Type: `int`

  Timeout in milliseconds, or -1 for default, or `G_MAXINT` for no timeout.

`out_serial`

  Type: `guint32*`

  A location for the message serial number.

  The argument will be set by the function.
  The argument can be set to `NULL` by the function.

#### Return value

Type: `DexFuture`

A `DexFuture` that will resolve to a `GDBusMessage` or reject with failure.

The caller of the function takes ownership of the data, and is responsible for freeing it.